Package org.eclipse.m2m.atl.profiler.model.impl

## Class ProfilingOperationImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl
        - - org.eclipse.m2m.atl.profiler.model.impl.ProfilingOperationImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ProfilingInstruction`, `ProfilingOperation`

Direct Known Subclasses:
  `ProfilingModelImpl`

    public class ProfilingOperationImpl
    extends ProfilingInstructionImpl
    implements ProfilingOperation

An implementation of the model object 'Profiling Operation'.

The following features are implemented:

- `End Time`
- `Total Executed Instructions`
- `Execution Instructions`
- `End Memory Usage`
- `Context`
- `Max Memory Usage`
- `Matching Operation`
- `Execution Errors`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.common.util.EList<Context>` `context` The cached value of the '`Context`' containment reference list.
`protected static long` `END_MEMORY_USAGE_EDEFAULT` The default value of the '`End Memory Usage`' attribute.
`protected static long` `END_TIME_EDEFAULT` The default value of the '`End Time`' attribute.
`protected long` `endMemoryUsage` The cached value of the '`End Memory Usage`' attribute.
`protected long` `endTime` The cached value of the '`End Time`' attribute.
`protected org.eclipse.emf.common.util.EList<ExecutionError>` `executionErrors` The cached value of the '`Execution Errors`' containment reference list.
`protected org.eclipse.emf.common.util.EList<ProfilingInstruction>` `executionInstructions` The cached value of the '`Execution Instructions`' containment reference list.
`protected static boolean` `MATCHING_OPERATION_EDEFAULT` The default value of the '`Matching Operation`' attribute.
`protected boolean` `matchingOperation` The cached value of the '`Matching Operation`' attribute.
`protected static long` `MAX_MEMORY_USAGE_EDEFAULT` The default value of the '`Max Memory Usage`' attribute.
`protected long` `maxMemoryUsage` The cached value of the '`Max Memory Usage`' attribute.
`protected static int` `TOTAL_EXECUTED_INSTRUCTIONS_EDEFAULT` The default value of the '`Total Executed Instructions`' attribute.
`protected int` `totalExecutedInstructions` The cached value of the '`Total Executed Instructions`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl

`atlInstruction, content, CONTENT_EDEFAULT, HAS_ERROR_EDEFAULT, hasError, INSTRUCTION_ID_EDEFAULT, instructionID, LAUNCHED_MEMORY_USAGE_EDEFAULT, LAUNCHED_TIME_EDEFAULT, launchedMemoryUsage, launchedTime, parentOperation, stackFrames`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ProfilingOperationImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`org.eclipse.emf.common.util.EList<Context>` `getContext()`
`long` `getEndMemoryUsage()`
`long` `getEndTime()`
`org.eclipse.emf.common.util.EList<ExecutionError>` `getExecutionErrors()`
`org.eclipse.emf.common.util.EList<ProfilingInstruction>` `getExecutionInstructions()`
`long` `getMaxMemoryUsage()`
`int` `getTotalExecutedInstructions()`
`boolean` `isMatchingOperation()`
`void` `setEndMemoryUsage​(long newEndMemoryUsage)`
`void` `setEndTime​(long newEndTime)`
`void` `setMatchingOperation​(boolean newMatchingOperation)`
`void` `setMaxMemoryUsage​(long newMaxMemoryUsage)`
`void` `setTotalExecutedInstructions​(int newTotalExecutedInstructions)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl

`basicGetAtlInstruction, basicGetParentOperation, getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingInstruction

`getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

### Field Detail

#### END_TIME_EDEFAULT

    protected static final long END_TIME_EDEFAULT

The default value of the '`End Time`' attribute.

See Also:
  `getEndTime()`, Constant Field Values

#### endTime

    protected long endTime

The cached value of the '`End Time`' attribute.

See Also:
  `getEndTime()`

#### TOTAL_EXECUTED_INSTRUCTIONS_EDEFAULT

    protected static final int TOTAL_EXECUTED_INSTRUCTIONS_EDEFAULT

The default value of the '`Total Executed Instructions`' attribute.

See Also:
  `getTotalExecutedInstructions()`, Constant Field Values

#### totalExecutedInstructions

    protected int totalExecutedInstructions

The cached value of the '`Total Executed Instructions`' attribute.

See Also:
  `getTotalExecutedInstructions()`

#### executionInstructions

    protected org.eclipse.emf.common.util.EList<ProfilingInstruction> executionInstructions

The cached value of the '`Execution Instructions`' containment reference list.

See Also:
  `getExecutionInstructions()`

#### END_MEMORY_USAGE_EDEFAULT

    protected static final long END_MEMORY_USAGE_EDEFAULT

The default value of the '`End Memory Usage`' attribute.

See Also:
  `getEndMemoryUsage()`, Constant Field Values

#### endMemoryUsage

    protected long endMemoryUsage

The cached value of the '`End Memory Usage`' attribute.

See Also:
  `getEndMemoryUsage()`

#### context

    protected org.eclipse.emf.common.util.EList<Context> context

The cached value of the '`Context`' containment reference list.

See Also:
  `getContext()`

#### MAX_MEMORY_USAGE_EDEFAULT

    protected static final long MAX_MEMORY_USAGE_EDEFAULT

The default value of the '`Max Memory Usage`' attribute.

See Also:
  `getMaxMemoryUsage()`, Constant Field Values

#### maxMemoryUsage

    protected long maxMemoryUsage

The cached value of the '`Max Memory Usage`' attribute.

See Also:
  `getMaxMemoryUsage()`

#### MATCHING_OPERATION_EDEFAULT

    protected static final boolean MATCHING_OPERATION_EDEFAULT

The default value of the '`Matching Operation`' attribute.

See Also:
  `isMatchingOperation()`, Constant Field Values

#### matchingOperation

    protected boolean matchingOperation

The cached value of the '`Matching Operation`' attribute.

See Also:
  `isMatchingOperation()`

#### executionErrors

    protected org.eclipse.emf.common.util.EList<ExecutionError> executionErrors

The cached value of the '`Execution Errors`' containment reference list.

See Also:
  `getExecutionErrors()`

### Constructor Detail

#### ProfilingOperationImpl

    protected ProfilingOperationImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ProfilingInstructionImpl`

#### getEndTime

    public long getEndTime()

Specified by:
  `getEndTime` in interface `ProfilingOperation`
Returns:
  the value of the 'End Time' attribute.
See Also:
  `ProfilingOperation.setEndTime(long)`, `ModelPackage.getProfilingOperation_EndTime()`

#### setEndTime

    public void setEndTime​(long newEndTime)

Specified by:
  `setEndTime` in interface `ProfilingOperation`
Parameters:
  `newEndTime` - the new value of the 'End Time' attribute.
See Also:
  `ProfilingOperation.getEndTime()`

#### getTotalExecutedInstructions

    public int getTotalExecutedInstructions()

Specified by:
  `getTotalExecutedInstructions` in interface `ProfilingOperation`
Returns:
  the value of the 'Total Executed Instructions' attribute.
See Also:
  `ProfilingOperation.setTotalExecutedInstructions(int)`, `ModelPackage.getProfilingOperation_TotalExecutedInstructions()`

#### setTotalExecutedInstructions

    public void setTotalExecutedInstructions​(int newTotalExecutedInstructions)

Specified by:
  `setTotalExecutedInstructions` in interface `ProfilingOperation`
Parameters:
  `newTotalExecutedInstructions` - the new value of the 'Total Executed Instructions' attribute.
See Also:
  `ProfilingOperation.getTotalExecutedInstructions()`

#### getExecutionInstructions

    public org.eclipse.emf.common.util.EList<ProfilingInstruction> getExecutionInstructions()

Specified by:
  `getExecutionInstructions` in interface `ProfilingOperation`
Returns:
  the value of the 'Execution Instructions' containment reference list.
See Also:
  `ModelPackage.getProfilingOperation_ExecutionInstructions()`

#### getEndMemoryUsage

    public long getEndMemoryUsage()

Specified by:
  `getEndMemoryUsage` in interface `ProfilingOperation`
Returns:
  the value of the 'End Memory Usage' attribute.
See Also:
  `ProfilingOperation.setEndMemoryUsage(long)`, `ModelPackage.getProfilingOperation_EndMemoryUsage()`

#### setEndMemoryUsage

    public void setEndMemoryUsage​(long newEndMemoryUsage)

Specified by:
  `setEndMemoryUsage` in interface `ProfilingOperation`
Parameters:
  `newEndMemoryUsage` - the new value of the 'End Memory Usage' attribute.
See Also:
  `ProfilingOperation.getEndMemoryUsage()`

#### getContext

    public org.eclipse.emf.common.util.EList<Context> getContext()

Specified by:
  `getContext` in interface `ProfilingOperation`
Returns:
  the value of the 'Context' containment reference list.
See Also:
  `ModelPackage.getProfilingOperation_Context()`

#### getMaxMemoryUsage

    public long getMaxMemoryUsage()

Specified by:
  `getMaxMemoryUsage` in interface `ProfilingOperation`
Returns:
  the value of the 'Max Memory Usage' attribute.
See Also:
  `ProfilingOperation.setMaxMemoryUsage(long)`, `ModelPackage.getProfilingOperation_MaxMemoryUsage()`

#### setMaxMemoryUsage

    public void setMaxMemoryUsage​(long newMaxMemoryUsage)

Specified by:
  `setMaxMemoryUsage` in interface `ProfilingOperation`
Parameters:
  `newMaxMemoryUsage` - the new value of the 'Max Memory Usage' attribute.
See Also:
  `ProfilingOperation.getMaxMemoryUsage()`

#### isMatchingOperation

    public boolean isMatchingOperation()

Specified by:
  `isMatchingOperation` in interface `ProfilingOperation`
Returns:
  the value of the 'Matching Operation' attribute.
See Also:
  `ProfilingOperation.setMatchingOperation(boolean)`, `ModelPackage.getProfilingOperation_MatchingOperation()`

#### setMatchingOperation

    public void setMatchingOperation​(boolean newMatchingOperation)

Specified by:
  `setMatchingOperation` in interface `ProfilingOperation`
Parameters:
  `newMatchingOperation` - the new value of the 'Matching Operation' attribute.
See Also:
  `ProfilingOperation.isMatchingOperation()`

#### getExecutionErrors

    public org.eclipse.emf.common.util.EList<ExecutionError> getExecutionErrors()

Specified by:
  `getExecutionErrors` in interface `ProfilingOperation`
Returns:
  the value of the 'Execution Errors' containment reference list.
See Also:
  `ModelPackage.getProfilingOperation_ExecutionErrors()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ProfilingInstructionImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ProfilingInstructionImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ProfilingInstructionImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ProfilingInstructionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ProfilingInstructionImpl`